## org.apache.lucene.analysis.el
Class GreekLowerCaseFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.el.GreekLowerCaseFilter

    public final class GreekLowerCaseFilter

extends org.apache.lucene.analysis.TokenFilter

Normalizes token text to lower case, analyzing given ("greek") charset.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`GreekLowerCaseFilter(org.apache.lucene.analysis.TokenStream in)`
`GreekLowerCaseFilter(org.apache.lucene.analysis.TokenStream in, char[] charset)` Deprecated. Use `GreekLowerCaseFilter(TokenStream)` instead.

Method Summary
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`getOnlyUseNewAPI, next, next, setOnlyUseNewAPI`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GreekLowerCaseFilter

    public GreekLowerCaseFilter(org.apache.lucene.analysis.TokenStream in,
                                char[] charset)

  Deprecated. Use `GreekLowerCaseFilter(TokenStream)` instead.

### GreekLowerCaseFilter

    public GreekLowerCaseFilter(org.apache.lucene.analysis.TokenStream in)

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws java.io.IOException

  Overrides:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.